package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class ProdukFormulaProduksi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "ProdukFormulaProduksi_M")
public class ProdukFormulaProduksiVO extends BaseMasterVO {
	@Caption(value="Formula Produksi")
	private String formulaProduksi;

	public void setFormulaProduksi(String formulaProduksi) {
		this.formulaProduksi = formulaProduksi;
	}

	@Column(name = "FormulaProduksi", nullable = true , length = 300)
	public String getFormulaProduksi(){
		return this.formulaProduksi;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectProdukAsalFk")
	@NotNull(message="Object ProdukVO Asal Harus Diisi")
	@Caption(value="Object ProdukVO Asal")
	private ProdukVO produkAsal;

	public void setProdukAsal(ProdukVO produkAsal) {
		this.produkAsal = produkAsal;
	}

	@Column(name = "KdProdukAsal", nullable = false , length = 6)
	public ProdukVO getProdukAsal(){
		return this.produkAsal;
	}

	@Column(name = "ObjectProdukAsalFk", insertable=false,updatable=false)
	private Integer produkAsalId;

	@ManyToOne
	@JoinColumn(name = "ObjectProdukHasilFk")
	@NotNull(message="Object ProdukVO Hasil Harus Diisi")
	@Caption(value="Object ProdukVO Hasil")
	private ProdukVO produkHasil;

	public void setProdukHasil(ProdukVO produkHasil) {
		this.produkHasil = produkHasil;
	}

	@Column(name = "KdProdukHasil", nullable = false , length = 6)
	public ProdukVO getProdukHasil(){
		return this.produkHasil;
	}

	@Column(name = "ObjectProdukHasilFk", insertable=false,updatable=false)
	private Integer produkHasilId;

	@Caption(value="Keterangan Lainnya")
	private String keteranganLainnya;

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	@Column(name = "KeteranganLainnya", nullable = true , length = 150)
	public String getKeteranganLainnya(){
		return this.keteranganLainnya;
	}

	@Caption(value="Qty ProdukVO Asal")
	private Double qtyProdukAsal;

	public void setqtyProdukAsal(Double qtyProdukAsal) {
		this.qtyProdukAsal = qtyProdukAsal;
	}

	@Column(name = "QtyProdukAsal", nullable = false )
	public Double getqtyProdukAsal(){
		return this.qtyProdukAsal;
	}

	@Caption(value="Satuan ProdukVO Asal")
	private String satuanProdukAsal;

	public void setSatuanProdukAsal(String satuanProdukAsal) {
		this.satuanProdukAsal = satuanProdukAsal;
	}

	@Column(name = "SatuanProdukAsal", nullable = false , length = 1)
	public String getSatuanProdukAsal(){
		return this.satuanProdukAsal;
	}


}

